AttributeList (Java Platform SE 8 )
Keywords: javax.swing.text.html.parser.AttributeList class
Date: 2023-01-18

javax.swing.text.html.parser

## Class AttributeList

- java.lang.Object
- - javax.swing.text.html.parser.AttributeList

- All Implemented Interfaces:
    Serializable, DTDConstants

      public final class AttributeList
      extends Object
      implements DTDConstants, Serializable

  This class defines the attributes of an SGML element as described in a DTD using the ATTLIST construct. An AttributeList can be obtained from the Element class using the getAttributes() method.

  It is actually an element in a linked list. Use the getNext() method repeatedly to enumerate all the attributes of an element.

  See Also:
    `Element`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `modifier`
    `String` | `name`
    `AttributeList` | `next`
    `int` | `type`
    `String` | `value`
    `Vector<?>` | `values`

    - ### Fields inherited from interface javax.swing.text.html.parser.DTDConstants

      `ANY, CDATA, CONREF, CURRENT, DEFAULT, EMPTY, ENDTAG, ENTITIES, ENTITY, FIXED, GENERAL, ID, IDREF, IDREFS, IMPLIED, MD, MODEL, MS, NAME, NAMES, NMTOKEN, NMTOKENS, NOTATION, NUMBER, NUMBERS, NUTOKEN, NUTOKENS, PARAMETER, PI, PUBLIC, RCDATA, REQUIRED, SDATA, STARTTAG, SYSTEM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeList(String name)` Create an attribute list element.
    `AttributeList(String name, int type, int modifier, String value, Vector<?> values, AttributeList next)` Create an attribute list element.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getModifier()`
    `String` | `getName()`
    `AttributeList` | `getNext()`
    `int` | `getType()`
    `String` | `getValue()`
    `Enumeration<?>` | `getValues()`
    `static int` | `name2type(String nm)`
    `String` | `toString()` Returns a string representation of the object.
    `static String` | `type2name(int tp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### type

          public int type

    - #### values

          public Vector<?> values

    - #### modifier

          public int modifier

    - #### value

          public String value

    - #### next

          public AttributeList next

  - ### Constructor Detail

    - #### AttributeList

          public AttributeList(String name)

      Create an attribute list element.

    - #### AttributeList

          public AttributeList(String name,
                               int type,
                               int modifier,
                               String value,
                               Vector<?> values,
                               AttributeList next)

      Create an attribute list element.

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        attribute name

    - #### getType

          public int getType()

      Returns:
        attribute type
      See Also:
        `DTDConstants`

    - #### getModifier

          public int getModifier()

      Returns:
        attribute modifier
      See Also:
        `DTDConstants`

    - #### getValues

          public Enumeration<?> getValues()

      Returns:
        possible attribute values

    - #### getValue

          public String getValue()

      Returns:
        default attribute value

    - #### getNext

          public AttributeList getNext()

      Returns:
        the next attribute in the list

    - #### toString

          public String toString()

      Description copied from class: `Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Object`
      Returns:
        string representation

    - #### name2type

          public static int name2type(String nm)

    - #### type2name

          public static String type2name(int tp)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.